Bug 1003876 - Getting 401 unauthorized when starting a process instance via REST with kie-services-client
Getting 401 unauthorized when starting a process instance via REST with kie-s...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Marco Rietveld
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 08:16 EDT by Radovan Synek
Modified: 2016-09-20 01:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-09-03 08:16:00 EDT
Description of problem:
kie-services-client cannot authenticate with business central using valid EAP6 user account with kie-user role. Every request ends up with "401 unauthorized". This issue is probably fixed by following commit:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/0ae835d6c5217a15a7b6aedb043d77339db945ce

but this commit isn't a part of ER2 build.

Version-Release number of selected component (if applicable):
6.0.0.ER2
Comment 1 Marek Baluch 2013-09-03 08:37:12 EDT
Workaround exists - It's required to remove security. Please decide weather this should be fixed for Beta.
Comment 2 Marco Rietveld 2013-09-04 10:29:47 EDT
This is fixed in the community CR3 build, by the commit referenced above.
Comment 3 Radovan Synek 2013-09-04 10:34:49 EDT
The workaround Marek stated in comment 1 has two steps:
1. comment out url-pattern /rest/* in filter-mapping for UberFire Security Filter in web.xml
2. use AuthenticationType.NONE when instantiating the kie-services-client for REST
Comment 8 Radovan Synek 2013-10-15 08:37:31 EDT
Verified on BPMS-6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.